#!/usr/bin/env python
import matplotlib.pyplot as plt
import pandas as pd

### open Monte Carlo results.json file
df = pd.read_json('results.json')

### show data
for col in df.columns:
  print(col)

### basic plots ###
plt.figure(0)
plt.scatter(df['param_chem_pot(a)'], df['<comp(a)>'])
plt.xlabel('param_chem_pot(a)')
plt.ylabel('<comp(a)>')

plt.figure(1)
chem_pot_O = df['param_chem_pot(a)'] / 2.
plt.scatter(chem_pot_O, df['<atom_frac(O)>'])
plt.xlabel('chem_pot(O)')
plt.ylabel('<atom_frac(O)>')

plt.show()
