#!/usr/bin/env python
import matplotlib.pyplot as plt
import pandas as pd

### open Monte Carlo results.json file
df = pd.read_json('results.json')

### show data
for col in df.columns:
  print(col)

### basic plot
plt.plot(df['param_chem_pot(a)'], df['phi_LTE'], 'b-', label="phi_LTE")
plt.plot(df['param_chem_pot(a)'], df['gs_potential_energy'], 'g:',  label="gs_potential_energy")
plt.legend(loc=0)
plt.xlabel('param_chem_pot(a)')
plt.ylabel('phi_LTE')
plt.show()
